View Issue Details

IDProjectCategoryView StatusLast Update
0001595Far ManagerMacropublic2011-12-23 15:09
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001595: Проблемы с mmode(1,0) в редакторе
Descriptionmmode(1,0) разрешает отображение на экран.
Однако в некоторых случаях именно из-за него редактор показывается нераскрашеным.
Steps To ReproduceМинимальный вариант макроса:
macro:post F4 mmode(1,0)
Additional InformationПодробности, а также другие похожие проблемы см. на форуме:
http://forum.farmanager.com/viewtopic.php?f=15&t=5874
TagsNo tags attached.
Build2219

Activities

vskirdin

2011-10-12 12:35

administrator   bugnote:0007866

Хмм... я так думаю одна проверка таки лишняя...
macro.cpp
done:
...
        if (Mode==MACRO_EDITOR &&
                IsRedrawEditor &&
                CtrlObject->Plugins.CurEditor &&
                CtrlObject->Plugins.CurEditor->IsVisible()
нужно закомментить>>> /* && LockScr*/)
        {
            CtrlObject->Plugins.ProcessEditorEvent(EE_REDRAW,EEREDRAW_CHANGE);
            CtrlObject->Plugins.ProcessEditorEvent(EE_REDRAW,EEREDRAW_ALL);
            CtrlObject->Plugins.CurEditor->Show();
        }
пробуем

vskirdin

2011-10-13 16:44

administrator   bugnote:0007873

build 2219

Issue History

Date Modified Username Field Change
2010-11-16 18:25 JohnDoe New Issue
2011-10-12 12:35 vskirdin Note Added: 0007866
2011-10-13 16:44 vskirdin Note Added: 0007873
2011-10-13 16:44 vskirdin Assigned To => vskirdin
2011-10-13 16:44 vskirdin Status new => feedback
2011-12-23 15:09 alexy Build => 2219
2011-12-23 15:09 alexy Status feedback => closed
2011-12-23 15:09 alexy Resolution open => fixed
2011-12-23 15:09 alexy Fixed in Version => 3.0